QGIS Application - Bug report #19351
[processing] Wrong management of locale in output result path
2018-07-06 01:18 PM - Luigi Pirelli

Status: Closed

Priority: High

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:3.2 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27179
Description

I'm writing a report for a strudent. This is the running context.

System Lcale: es_ES
QGIS Locale: system (but also Ignore System + setting QGIS locale to es_ES)

open SAGA "reclassify values" (but it shouldn't depend on the algorithm)
set output to a laayer in a path with some "strange" chararacter as ii € etc etc

the run is ok, but fail loading back the result that is not created

Related issues:
Duplicates QGIS Application - Bug report # 18617: QGIS3: SagaUtils.py fails w... Closed

2018-04-03

Associated revisions

Revision 76d9ab82 - 2019-01-25 09:39 AM - Victor Olaya

[processing] fixed SAGA for non-ascii output files

Fixes #19351

History

#1 - 2018-07-06 01:19 PM - Luigi Pirelli

assigned to @elpaso because could be related with locale management. Feel free to reassign to @alexbruy or @nyalldawson if it's more related to

processing

#2 - 2018-07-06 01:46 PM - Alessandro Pasotti
- Assignee deleted (Alessandro Pasotti)

| don't think it's related to locale management. Does it work on 3.0 ?

#3 - 2018-07-06 01:51 PM - Luigi Pirelli
- Assignee set to Alessandro Pasotti
I'll check... now reinstalling everitying because my system is broken... so I'll test as soon as | can

#4 - 2018-07-06 02:11 PM - Nyall Dawson

I think this is actually a limitation in saga itself. Try a native algorithm.

#5 - 2018-07-06 02:13 PM - Nyall Dawson
- Status changed from Open to Feedback

In other words - can you please try the same algorithm directly from the saga command line, using the same paths, and see what happens

#6 - 2018-07-06 02:14 PM - Giovanni Manghi

is this about output names, or (vector table) output content?

#7 - 2018-07-06 03:48 PM - Luigi Pirelli

outptuth path of the result not the content (AFAIK)

#8 - 2018-07-06 03:49 PM - Luigi Pirelli

- Subject changed from [processing] Wrong management of locale in output results to [processing] Wrong management of locale in output result path

#9 - 2018-07-27 08:52 AM - Alessandro Pasotti
- Assignee deleted (Alessandro Pasotti)

#10 - 2019-01-22 01:37 PM - Alexander Bruy

Probably duplicates #18617

#11 - 2019-01-22 01:38 PM - Alexander Bruy

- Duplicates Bug report #18617: QGIS3: SagaUltils.py fails when comman contains non-latin characters added

#12 - 2019-01-24 01:48 PM - Victor Olaya

It's not a duplicate. #18617 is a problem creating the script files. Here the issue is a SAGA one, which doesnt support non-ascii for outputs. If a file like
"fiofo.shp" is entered as output, SAGA will save it to "to+o.shp". The file is created, but Processing cannot find it later.

The solution should be something saving to a different filename (safe, without non-ascii) and later renaming it.

| will work on that.

#13 - 2019-01-25 01:13 PM - Giovanni Manghi

- Status changed from Feedback to Open

#14 - 2019-01-25 01:20 PM - Luigi Pirelli
- Assignee set to Victor Olaya
#15 - 2019-02-21 12:35 PM - Victor Olaya

- Status changed from Open to Closed

Applied in changeset commit:qgis|fda41e3b0202041e681b2f69568f2a6dc2bb69e3.

2025-06-08 3/3



